#
# spec file for package steam
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           steam
Version:        1.0.0.54
Release:        1.1
# "Limited Installation License"
License:        SUSE-Freeware
Summary:        Installer for Valve's digital software distribution service
Url:            http://www.steampowered.com/
Group:          Amusements/Games/Other
Source0:        fetch-steam.sh.in
BuildRequires:  hicolor-icon-theme
Requires:       curl
Requires:       awk
Requires:       mktemp
Requires:       coreutils
Requires:       w3m
BuildArch:      noarch

# dep_postfix macro is used to append "-32bit" to dependencies for x86_64 on openSUSE
%define dep_postfix %{nil}
%ifarch x86_64
  %if 0%{?suse_version}
    %define dep_postfix -32bit
  %endif
  %if 0%{?fedora}
    %define dep_postfix (x86-32)
  %endif
%endif

%if 0%{?fedora}
Requires:       SDL%{dep_postfix} >= 1.2.10
Requires:       alsa-lib%{dep_postfix} >= 1.0.23
Requires:       cairo%{dep_postfix} >= 1.6.0
Requires:       dbus-libs%{dep_postfix} >= 1.2.14
Requires:       freetype%{dep_postfix} >= 2.3.9
Requires:       gdk-pixbuf2%{dep_postfix} >= 2.22.0
Requires:       glib2%{dep_postfix} >= 2.14.0
Requires:       gtk2%{dep_postfix} >= 2.24.0
Requires:       libX11%{dep_postfix} >= 1.4.99.1
Requires:       libXext%{dep_postfix}
Requires:       libXfixes%{dep_postfix}
Requires:       libXi%{dep_postfix} >= 1.2.99.4
Requires:       libXrandr%{dep_postfix} >= 1.2.99.3
Requires:       libXrender%{dep_postfix}
Requires:       libcurl%{dep_postfix} >= 7.16.2-1
Requires:       libgcc%{dep_postfix} >= 4.1.1
Requires:       libgcrypt%{dep_postfix} >= 1.4.5
Requires:       libogg%{dep_postfix} >= 1.0
Requires:       libstdc++%{dep_postfix} >= 4.6
Requires:       libtheora%{dep_postfix} >= 1.0
Requires:       libvorbis%{dep_postfix} >= 1.1.2
Requires:       nspr%{dep_postfix} >= 1.8.0.10
Requires:       nss%{dep_postfix} >= 3.12.3
Requires:       pango%{dep_postfix} >= 1.22.0
Requires:       pixman%{dep_postfix} >= 0.24.4
Requires:       pulseaudio-libs%{dep_postfix} >= 0.99.1
%endif
%if 0%{?fedora} >= 18
Requires:       libpng12%{dep_postfix} >= 1.2.13
%endif
%if 0%{?fedora} == 17
Requires:       libpng-compat%{dep_postfix} >= 1.2.13
%endif
%if 0%{?fedora} <= 16
Requires:       libpng >= 1.2.13
%endif
%if 0%{?suse_version}
Requires:       Mesa-libGL1%{dep_postfix}
Requires:       alsa%{dep_postfix} >= 1.0.23
Requires:       gtk2-engine-oxygen%{dep_postfix}
Requires:       libSDL-1_2-0%{dep_postfix} >= 1.2.10
Requires:       libX11-6%{dep_postfix} >= 1.4.99.1
Requires:       libXext6%{dep_postfix}
Requires:       libXfixes3%{dep_postfix}
Requires:       libXi6%{dep_postfix} >= 1.2.99.4
Requires:       libXrandr2%{dep_postfix} >= 1.2.99.3
Requires:       libXrender1%{dep_postfix}
Requires:       libatk-1_0-0%{dep_postfix}
Requires:       libcairo2%{dep_postfix} >= 1.6.0
Requires:       libcurl4%{dep_postfix} >= 7.16.2-1
Requires:       libdbus-1-3%{dep_postfix} >= 1.2.14
Requires:       libfreetype6%{dep_postfix} >= 2.3.9
Requires:       libgcc47%{dep_postfix} >= 4.1.1
Requires:       libgcrypt11%{dep_postfix} >= 1.4.5
Requires:       libgdk_pixbuf-2_0-0%{dep_postfix} >= 2.22.0
Requires:       libglib-2_0-0%{dep_postfix} >= 2.14.0
Requires:       libgmodule-2_0-0%{dep_postfix}
Requires:       libgobject-2_0-0%{dep_postfix}
Requires:       libgtk-2_0-0%{dep_postfix} >= 2.24.0
Requires:       libogg0%{dep_postfix} >= 1.0
Requires:       libopenal1-soft%{dep_postfix} >= 1.13
Requires:       libpango-1_0-0%{dep_postfix} >= 1.22.0
Requires:       libpixman-1-0%{dep_postfix} >= 0.24.4
Requires:       libpng12-0%{dep_postfix} >= 1.2.13
Requires:       libpulse0%{dep_postfix} >= 0.99.1
Requires:       libstdc++47%{dep_postfix} >= 4.6
Requires:       libtheora0%{dep_postfix} >= 1.0
Requires:       libvorbis0%{dep_postfix} >= 1.1.2
Requires:       mozilla-nspr%{dep_postfix} >= 1.8.0.10
Requires:       mozilla-nss%{dep_postfix} >= 3.12.3
%endif
Requires:       cups-libs%{dep_postfix} >= 1.4.0
Requires:       fontconfig%{dep_postfix} >= 2.8.0
Requires:       glibc%{dep_postfix} >= 2.15
Requires:       openal-soft >= 1.13
Requires:       zlib%{dep_postfix} >= 1.2.3.3

# From steamdeps.txt which will try to fetch this with a terminal and apt-get...
Requires:       zenity
%if 0%{?suse_version}
Requires:       libxcb-dri2-0%{dep_postfix}
Requires:       libxcb-glx0%{dep_postfix}
%endif

%description
Steam is a software distribution service with an online store, automated
installation, automatic updates, achievements, SteamCloud synchronized
savegame and screenshot functionality, and many social features.

This package will fetch, convert and install the Debian source package.

%prep
cp %{SOURCE0} .

%build
sed -e 's,__VERSION__,%version,' -e 's,__RELEASE__,%release,' -e 's,__NAME__,%name,' fetch-steam.sh.in > fetch-steam.sh

%install
install -D -m 755 fetch-steam.sh %buildroot/var/adm/update-scripts/%{name}-%{version}-%{release}-%(basename fetch-steam.sh).txt
%{nil}

mkdir -p %buildroot/var/adm/update-messages
touch %buildroot/var/adm/update-messages/%name-%version-%release-1

install -d %{buildroot}%{_prefix}/lib/steam
touch %{buildroot}%{_prefix}/lib/steam/*
install -d %{buildroot}%{_datadir}/pixmaps
touch %{buildroot}%{_datadir}/pixmaps/steam_tray.png
install -d %{buildroot}%{_bindir}
touch %{buildroot}%{_bindir}/*
install -d %{buildroot}%{_datadir}/applications
touch %{buildroot}%{_datadir}/applications/steam.desktop
install -d  %{buildroot}%{_datadir}/icons/hicolor/{16x16,24x24,32x32,48x48,256x256}/apps/steam.png
touch %{buildroot}%{_datadir}/icons/hicolor/*/apps/steam.png
install -d %{buildroot}%{_datadir}/doc/steam/
touch %{buildroot}%{_datadir}/doc/steam/*
install -d %{buildroot}%{_mandir}/man6/
touch %{buildroot}%{_mandir}/man6/steam.*

%files
%defattr(-,root,root)
/var/adm/update-scripts/*
/var/adm/update-messages/*
%ghost %{_bindir}/*
%ghost %{_prefix}/lib/steam
%ghost %{_datadir}/pixmaps/steam_tray.png
%ghost %{_datadir}/applications/steam.desktop
%ghost %{_datadir}/icons/hicolor/*/apps/steam.png
%ghost %doc %{_datadir}/doc/steam/
%ghost %{_mandir}/man6/steam.*

%changelog
* Tue Nov 29 2016 cs@linux-administrator.com
- update to 1.0.0.54
* Fri Oct 21 2016 cs@linux-administrator.com
- update to 1.0.0.53
* Mon May 11 2015 cs@linux-administrator.com
- update to 1.0.0.50
* Wed Aug 27 2014 cs@linux-administrator.com
- update to 1.0.0.49
* Thu Jun 19 2014 cs@linux-administrator.com
- update to 1.0.0.48
* Tue Feb 11 2014 cs@linux-administrator.com
- update to 1.0.0.47
* Wed Nov 13 2013 cs@linux-administrator.com
- update to 1.0.0.44
* Wed Oct  9 2013 cs@linux-administrator.com
- update to 1.0.0.43
* Thu Aug 29 2013 cs@linux-administrator.com
- update to 1.0.0.40
* Fri May 10 2013 cs@linux-administrator.com
- update to 1.0.0.39
* Wed Apr 24 2013 cs@linux-administrator.com
- update to 1.0.0.38
* Tue Mar 12 2013 cs@linux-administrator.com
- update to 1.0.0.36
* Mon Feb 25 2013 cs@linux-administrator.com
- update to 1.0.0.34
* Sun Feb 24 2013 cs@linux-administrator.com
- updated to 1.0.0.33
* Sat Feb 23 2013 cs@linux-administrator.com
- updated to 1.0.0.31
* Sat Feb 23 2013 cs@linux-administrator.com
- updated to 1.0.0.30
* Tue Feb 19 2013 cs@linux-administrator.com
- updated to 1.0.0.29
* Sat Feb 16 2013 cs@linux-administrator.com
- updated to 1.0.0.28
* Fri Feb 15 2013 cs@linux-administrator.com
- updated to 1.0.0.27
* Sun Feb 10 2013 mailaender@opensuse.org
- updated to 1.0.0.25
- use the new tar.gz provided by Valve
* Fri Feb  1 2013 mailaender@opensuse.org
- updated to 1.0.0.22
- created fetch-steam.sh to circumvent the "Limited Installation License"
- removed all non-free binaries and scripts distributed by Valve
* Fri Dec 21 2012 prusnak@opensuse.org
- updated to 1.0.0.18
* Thu Dec 20 2012 prusnak@opensuse.org
- spec cleanup
* Sat Dec  8 2012 jdmulloy@gmail.com
- Added support for x86_64 packages
- Fixed libpng dependency for openSUSE
- Added libopenal1-soft and Mesa-libGL1 dependencices for openSUSE
* Tue Nov 20 2012 mailaender@opensuse.org
- SUSE specific fixes
* Wed Nov  7 2012 spot@fedoraproject.org
- add more Requires (from downloaded bits, not packaged bits)
* Tue Nov  6 2012 spot@fedoraproject.org
- fedora specific libpng conditionalization
* Tue Nov  6 2012 spot@fedoraproject.org
- initial Fedora RPM packaging
